### Signal

# Gtk GestureDrag::drag-begin

#### Declaration

    void
    drag_begin (
      GtkGestureDrag* self,
      gdouble start_x,
      gdouble start_y,
      gpointer user_data
    )

#### Description [src]

Emitted whenever dragging starts.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`start_x`

  Type: `gdouble`

  X coordinate, relative to the widget allocation.

`start_y`

  Type: `gdouble`

  Y coordinate, relative to the widget allocation.